<?php

namespace Mamad\Group_Product\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class EditGroupProductRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        $rules= [
            "title"=>"required|unique:group_products,title,".request()->id,
            "contents"=>"nullable",
            "product_cat"=>"nullable",
            "slug"=>"nullable|unique:group_products,slug,".request()->id,
         //   "children_product_select"=>"required",
        ];

        return $rules;
    }
}
